#
# spec file for package phpMyAdmin (Version 2.7.0pl2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  apache-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool mm mod_ssl perl rpm

Name:         phpMyAdmin
License:      GPL
Group:        Productivity/Networking/Web/Frontends
Requires:     mod_php
Autoreqprov:  on
Version:      2.7.0pl2
Release:      3
%define tarversion 2.7.0-pl2
Source0:      %{name}-%{tarversion}.tar.bz2
Source1:      text_plain__external.inc.php
URL:          http://www.phpMyAdmin.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Adminstration of MySQL over the web
PreReq:       mktemp /usr/bin/md5sum /bin/dd /usr/bin/sed
BuildArchitectures: noarch
%define apache_serverroot %(apxs -q datadir 2>/dev/null || apxs -q PREFIX)

%description
The phpMyAdmin is intended to handle the adminstration of mysql (MySQL)
over the web.

Currently it can: - create and drop databases

- create/drop/alter tables

- delete/edit/add fields

- execute any SQL statement

- manage keys on fields

- manage privileges

- export data into various formats

- speak in 43 languages



Authors:
--------
    Tobias Ratschiller <tobias@dnet.it>

%prep
%setup -q -n %{name}-%{tarversion}
cp %{S:1} libraries/transformations/
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
find . -type f -name '*.orig' -exec rm {} \;
rm lang/*.sh

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}
cp config.default.php config.inc.php
cp -dR docs.css *.php *.html themes lang libraries css \
$RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}
#generate file list
find $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name} -mindepth 1 -maxdepth 1 -type d | sed -e "s@$RPM_BUILD_ROOT@@" > FILELIST
find $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name} -maxdepth 1 -type f | grep -v 'config.inc.php' | sed -e "s@$RPM_BUILD_ROOT@@" >> FILELIST

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post
if grep -q "\\\$cfg\['blowfish_secret'\] = ''" %{apache_serverroot}/htdocs/%{name}/config.inc.php ; then
    echo "Generating blowfish secret for phpMyAdmin..."
    TMP_FILE=`mktemp /tmp/pma_inst.XXXXXXX`
    /bin/dd if=/dev/urandom of=$TMP_FILE bs=1024 count=1 2> /dev/null
    SECRET=`/usr/bin/md5sum $TMP_FILE|/usr/bin/sed 's/[[:space:]].*//'`
    cp %{apache_serverroot}/htdocs/%{name}/config.inc.php $TMP_FILE
    sed "s/\\\$cfg\['blowfish_secret'\] = ''/\$cfg['blowfish_secret'] = '$SECRET'/" < $TMP_FILE > %{apache_serverroot}/htdocs/%{name}/config.inc.php
    rm $TMP_FILE
fi

%files -f FILELIST
%defattr(-, root, root)
%doc CREDITS ChangeLog Documentation.* docs.css
%doc LICENSE README RELEASE-DATE* TODO translators.html
%doc scripts/*.sql
%dir %{apache_serverroot}/htdocs/%{name}
%config(noreplace) %{apache_serverroot}/htdocs/%{name}/config.inc.php

%changelog -n phpMyAdmin
* Thu Jan 05 2006 - postadal@suse.cz
- update to version 2.7.0-pl2 (security fixes)
  [#136015, 137368, 137797]
- removed all patches
* Tue Nov 22 2005 - postadal@suse.cz
- fixed XSS on HTTP_HOST (HTTP_HOST.patch) [#133818]
* Tue Nov 22 2005 - postadal@suse.cz
- fixed PMASA-2005-6 [#133818] (PMASA-2005-6.patch)
- fixed patch PMASA-2005-4_and_5.patch [#134373]
* Mon Nov 14 2005 - postadal@suse.cz
- fixed CVE-2005-2869 (XSS on the cookie-based login panel)
  [#130226] (CVE-2005-2869.patch)
* Tue Nov 01 2005 - postadal@suse.cz
- fixed PMASA-2005-4 and PMASA-2005-5 [#130226] (PMASA-2005-4_and_5.patch)
* Mon Apr 04 2005 - mcihar@suse.cz
- fix PMASA-2005-3 (bug #75707)
* Fri Feb 25 2005 - mcihar@suse.cz
- fix PMASA-2005-1 (bug #66264)
* Tue Dec 14 2004 - mcihar@suse.cz
- fix PMASA-2004-3 and PMASA-2004-4 (bug #49212)
* Mon Oct 18 2004 - mcihar@suse.cz
- fix shell meta characters escaping in external transformation (bug #47160)
* Tue Sep 09 2003 - mcihar@suse.cz
- automatically generate blowfish_secret on rpm installation
- mark config file as %%config(noreplace) (this in conjuction with
  previous means that it will be never replaced on upgrade, this is
  okay as phpMyAdmin supports loading of old config files)
* Mon Sep 08 2003 - mcihar@suse.cz
- updated to 2.5.3:
- many bugs fixed
- messages about missing variables were displayed wrongly
- more export bugs
- confirmation of some dangerous SQL (TRUNCATE,DROP DATABASE)
- new nice icons for actions
* Thu Sep 04 2003 - mcihar@suse.cz
- include documentation stylesheet
* Fri Aug 29 2003 - mcihar@suse.cz
- depend on mod_php rather that http_daemon as this needs php
* Thu Aug 28 2003 - mcihar@suse.cz
- include stylesheets
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 2.5.2-pl1
* Mon Mar 24 2003 - postadal@suse.cz
- removed mysql from Requires, becouse can access to MySQL remotely [#25797]
* Mon Feb 24 2003 - postadal@suse.cz
- updated to verison 2.4.0
  * new server/user management interface with sub-pages
  * export to LaTeX format
  * display UPDATE SQL statement after a row edit
  * (experimental) support for compressed connections to the MySQL server
  * upload of binary file into a field
  * show blob size
  * a lot of fixes
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 2.3.3pl1
  * upload of compressed dumps
  * inform the user who does not have privileges to create a db
  * new internal analyzer for db, table, column and alias
  * a lot of fixes
* Mon Aug 12 2002 - postadal@suse.cz 
- update to release 2.3.0
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Thu Aug 01 2002 - postadal@suse.cz
- fixed required perl path
* Wed Jul 31 2002 - postadal@suse.cz
- fixed filelist
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 2.3.0-rc4
  * can specify a different charset for MySQL and HTML
  * utf-8 charset support
  * full database search
  * XML export
  * faster table delete under MySQL 4
  * new language: slovenian
  * fixes
* Mon Jul 01 2002 - ro@suse.de
- fixed directory permissions
* Thu Jan 10 2002 - rvasice@suse.cz
- update to version 2.2.3
* Tue Sep 04 2001 - rvasice@suse.cz
- update to version 2.2.0 final
- dynamic multiple language support, with automatic detection
- database usage statistics
- table maintenance features (repair, check, optimize)
- made package noarch
* Thu Aug 02 2001 - rvasice@suse.cz
- update to version 2.2.0rc3
* Mon Jun 18 2001 - rvasice@suse.cz
- initial package release (version 2.1.0)
